Erreur sur BoseSoundTouch::pull() : Call to undefined function GuzzleHttp\_idn_uri_convert()

Tags: #<Tag:0x00007fcbaeab1d88>

voila ce que ca m’affiche environ toutes les minutes depuis la derniere mise a jour :
Erreur sur BoseSoundTouch::pull() : Call to undefined function GuzzleHttp_idn_uri_convert()

j’ai desactivé le plugin car, sinon je suis deja rendu a plus de 200 messages dans le log

même problème. merci d’avance

Pareil chez moi depuis la mise à jour que je viens d’effectuer.
Impossible de piloter ma barre de son.

Je suis revenu en arrière avec un backup fait juste avant.
Peut-être est-ce une nouvelle API qui est utilisée pour des requêtes http. Je n’ai pas essayer de l’installer sur ma smart. Je vais essayer cela dans les jours qui viennent sur ma machine virtuelle.

EDIT: je viens de refaire le test sur ma machine virtuelle sous Debian 9, et là, pas de problème…

Est-ce que vous êtes également sur smart?

oui sur smart
comme dit plus haut j’ai désactivé le plugin pour l’instant
donc en esperant que le dev voit ça assez vite
merci a lui

Le problème provient d’une mise à jour d’une librairie externe que j’utilise.
Le bug est remonté auprès du dev de cette librairie (https://github.com/guzzle/guzzle/issues/2511)
En attendant cette correction, etpour ceux qui ont le problème, je propose soit de remettre la dernière sauvegarde ou soit d’installer la version 0.8 du plugin https://github.com/sabinus52/jeedom-bose-soundtouch/releases/tag/0.8

merci pour le retour…

j’ai juste besoin de vos conseils:

j’ai téléchargé la version (à partir de jeedom: plugin / autre / source / URL), j’ai eu le message de confirmation “enregistré” en vert… et maintenant ? je m’attendais à voir le plugin installé, mais non.

comment l’activer ?

Ps: j’ai un jeedom smart

merci.

Petit UP:

Quelqu’un peux-t-il m’aider ? (J’arrive à enregistrer la version précédente sur mon jeedom mais je ne sais pas démarrer, elle n’apparait pas dans mes plugins…).

J’ai contacté l’assistance mais ils ne peuvent pas m’aider (plugin non officiel et lien en dehors du market…).

Merci

@sabinus52 : une fois sur github pour installer la v0.8 comment on fait ?
j’ai jamais fait par là alors on telecharge quel zip ?
et apres commen ca se passe stp ?
merci

@db2p: regarde mon message ci-dessus (#5), j’ai utilisé la deuxième adresse de github, enregistrement confirmé par jeedom, et puis… je m’attendais à voir le plugin dans la liste des plugins mais rien, d’où mon message ci-dessus.

Quelqu’un a-t-il réussi à ré-installer cette version précédente ?

Merci

Bonjour,

J’ai remis ce jour une nouvelle version du plugin avec un retour arrière sur la librairie externe « GuzzleHttp » que j’utilise. Le développeur de cette librairie n’a toujours pas apporté de correctif.
Pour éviter tout problème à la suite, j’ai figé la version de cette librairie dans son état stable pour les box Jeedom Smart.
Le problème ne pose que pour ce type de support. Aucun retour sur les autres supports.
Merci de dire pour ceux qui ont eu le problème, que tout est OK.

Salut,
Je viens de mettre à jour le plugin sur ma Smart et j’ai toujours le même message.
Sur ma machine virtuelle sous VMWare, RAS.
Je suis donc revenu en arrière sur ma smart en faisant une restoration de la base de données.

bonjour sabinus
je viens de reinstaller le plugin via le centre de mise à jour (bouton reinstaller) et cela semble fonctionner
pas de message d’erreur :+1:
(jeedom 3.39 sur smart)

J’ai vu que jeedom n’a récuperé ma mise à jour qu’aujourd’hui vers 8h. Donc cette version que tu as installée est surement l’ancienne

parfait, tout est OK (jeedom smart. V4), merci

Ok, je retente demain et je tiens au courant.
Pour info, je suis en v4.

C’est tout bon pour moi aussi :slight_smile:
Jeedom Smart v4
Merci!!!